# Class ErrorMsg

java.lang.Object
java.lang.Throwable
java.lang.Exception
ngs.ErrorMsg

All Implemented Interfaces:
  `Serializable`

public class ErrorMsg extends Exception
A generic NGS error class Holds a message describing what happened

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ErrorMsg()`
`ErrorMsg(String message)`
`ErrorMsg(ErrorMsg obj)`

## Method Summary

Modifier and Type
Method
Description
`String`
`what()`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ErrorMsg

public ErrorMsg()

### ErrorMsg

public ErrorMsg(String message)

### ErrorMsg

public ErrorMsg(ErrorMsg obj)

## Method Details

### what

public String what()

Returns:
  What went wrong